> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List locations

> List locations

### Query parameters

<ParamField query="warehouse_id" type="integer (int32)" />

<ParamField query="location_type" type="string" />

<ParamField query="zone" type="string" />

<ParamField query="aisle" type="string" />

<ParamField query="is_pickable" type="boolean" />

<ParamField query="is_receivable" type="boolean" />

<ParamField query="is_active" type="boolean" />

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

### Responses

<ResponseField name="200" type="LocationListResponse" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/warehouse-locations' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "locations": [
      {
        "aisle": null,
        "bin": null,
        "code": "string",
        "created_at": "string",
        "id": 1,
        "is_active": true,
        "is_pickable": true,
        "is_receivable": true,
        "level": null,
        "location_type": "string",
        "rack": null,
        "warehouse_id": 1,
        "zone": null
      }
    ],
    "total": 1
  }
  ```
</ResponseExample>
